https://github.com/python-pillow/Pillow/pull/8948
https://github.com/python-pillow/Pillow/commit/3c71559804e661a5f727e2007a5be51f26d9af27

From c7193f74fc5ce1a0fe1742a0845165024be45ef5 Mon Sep 17 00:00:00 2001
From: Andrew Murray <radarhere@users.noreply.github.com>
Date: Thu, 8 May 2025 20:10:34 +1000
Subject: [PATCH 1/3] Updated error message

---
 Tests/test_image_resample.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Tests/test_image_resample.py b/Tests/test_image_resample.py
index ce6209c0da4..73b25ed51b2 100644
--- a/Tests/test_image_resample.py
+++ b/Tests/test_image_resample.py
@@ -462,7 +462,7 @@ def test_wrong_arguments(self, resample: Image.Resampling) -> None:
         im.resize((32, 32), resample, (20, 20, 20, 100))
         im.resize((32, 32), resample, (20, 20, 100, 20))
 
-        with pytest.raises(TypeError, match="must be sequence of length 4"):
+        with pytest.raises(TypeError, match="must be (sequence|tuple) of length 4"):
             im.resize((32, 32), resample, (im.width, im.height))  # type: ignore[arg-type]
 
         with pytest.raises(ValueError, match="can't be negative"):

From 215069af5ddec6f4d3b92b8bc7554a10e2efb669 Mon Sep 17 00:00:00 2001
From: Andrew Murray <radarhere@users.noreply.github.com>
Date: Thu, 8 May 2025 22:13:13 +1000
Subject: [PATCH 3/3] Added support for Python 3.14

---
 setup.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/setup.py b/setup.py
index 5ecd6b8160a..5d41e27d981 100644
--- a/setup.py
+++ b/setup.py
@@ -46,7 +46,7 @@ def get_version() -> str:
 ZLIB_ROOT = None
 FUZZING_BUILD = "LIB_FUZZING_ENGINE" in os.environ
 
-if sys.platform == "win32" and sys.version_info >= (3, 14):
+if sys.platform == "win32" and sys.version_info >= (3, 15):
     import atexit
 
     atexit.register(

